$ErrorActionPreference = 'Stop';

$installDir = Join-Path (Get-ToolsLocation) "Windterm"
$installSubDir = Join-Path $installDir "WindTerm.portable"

$checksum   = "27F4F14F93ADA0450BFEECDDBEC464D0A3532675FF612625D19A965B479D0D93"
$url        = "https://github.com/kingToolbox/WindTerm/releases/download/2.4.0/WindTerm_2.4.1_Windows_Portable_x86_32.zip"
$checksum64 = "1614660D42B73A10037C72E725B0A7D86DC7E304FD4D9629FD0FBF9BBF503570"
$url64      = "https://github.com/kingToolbox/WindTerm/releases/download/2.4.0/WindTerm_2.4.1_Windows_Portable_x86_64.zip"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $installDir
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  url64bit      = $url64
  checksum64    = $checksum64
  checksumType64= 'sha256'
  validExitCodes= @(0, 3010, 1641)
}

if (Test-Path -Path $installSubDir) { Remove-Item $installSubDir -Recurse }

Install-ChocolateyZipPackage @packageArgs

$extractedFolder = Join-Path $installDir (Get-ChildItem "$installDir" -recurse | Where-Object {$_.PSIsContainer -eq $true -and $_.Name -match "WindTerm_"})
Rename-Item $extractedFolder $installSubDir
$exeFile = Join-Path $installSubDir WindTerm.exe

$bckDir = Join-Path $installDir "bck_profiles"
if(Test-Path -Path $bckDir) {
  $profilesDir = Join-Path $installSubDir "profiles"
  Copy-Item "$bckDir" -Destination "$profilesDir" -Recurse
  Remove-Item "$bckDir" -Recurse
}

$desktopPath = [Environment]::GetFolderPath("Desktop")
Install-ChocolateyShortcut `
  -ShortcutFilePath "$desktopPath\WindTerm.lnk" `
  -TargetPath $exeFile
